<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: settings.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author:KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

pageAccess("NIVO");

$locale = fusion_get_locale();

$panel_cap = $nivo_slider_settings['panel_cap'];
$slider_effects = $nivo_slider_settings['slider_effects'];
$slider_pausetime = $nivo_slider_settings['slider_pausetime'];
$slider_theme = $nivo_slider_settings['slider_theme'];

if (isset($_POST['savesettings'])) {
	$panel_cap = (isset($_POST['panel_cap']) && isnum($_POST['panel_cap'])) ? $_POST['panel_cap'] : $panel_cap;
	$slider_effects = (isset($_POST['slider_effects']) && $_POST['slider_effects'] != "") ? stripinput($_POST['slider_effects']) : $slider_effects;
	$slider_pausetime = (isset($_POST['slider_pausetime']) && isnum($_POST['slider_pausetime'])) ? stripinput($_POST['slider_pausetime']) : $slider_pausetime;
	$slider_theme = (isset($_POST['slider_theme']) && $_POST['slider_theme'] != "") ? stripinput($_POST['slider_theme']) : $slider_theme;

	$result = dbquery("UPDATE ".DB_NIVO_SLIDER_SETTINGS." SET  panel_cap='".$panel_cap."', slider_effects='".$slider_effects."', slider_pausetime='".$slider_pausetime."', slider_theme='".$slider_theme."'");
	addNotice("success", $locale['nivo_001']);
	redirect(FUSION_REQUEST);
	exit;
}

// prepare options for pausetime dropdown
$time_values = array(3,4,5,6,7,8,9,10,15,20,25,30,40,50,60);
$pausetime_values = [];
foreach ($time_values as $key => $value) {
    $pausetimes[$value] = $value." ".$locale['nivo_013'];
}
// prepare options for theme dropdown
$designs = array('default', 'bar', 'light', 'dark'); // upper-/lowercase is important!
$theme_values = [];
foreach ($designs as $key => $value) {
    $theme_values[$value] = $value;
}
// prepare options for effects dropdown
$effects = array('sliceDown','sliceDownLeft','slideUp','slideUpLeft','slideUpDown','sliceUpDownLeft','fold','fade','slideInRight','slideInLeft','boxRandom','boxRain','boxRainReverse','boxRainGrow','boxRainGrowReverse');
$effects_values = [];
$effects_values['random'] = $locale['nivo_032'];
foreach ($effects as $key => $value) {
    $effects_values[$value] = $value;
}

opentable($locale['nivo_028']);
	
echo openform('settingsform', 'post', FUSION_REQUEST, ['class' => 'form-inline spacer-sm']);

echo "<div class='row justify-content-md-center'>\n";
echo "<div class='col-xs-6 col-sm-4 '>\n";
echo "<h4 class='m-0'>".$locale['nivo_007']."</h4>\n";
echo "<i>(opentable+closetable)</i>\n<br/><br/>";
echo "</div>\n";

echo "<div class='col-xs-6 col-sm-8 '>\n";
	echo form_select('panel_cap', '', $panel_cap, [
		'options'     => ['0' => $locale['nivo_008'], '1' => $locale['nivo_009']]
	]);
echo "</div>\n";
echo "</div>\n";

echo "<div class='row justify-content-md-center'>\n";
echo "<div class='col-xs-6 col-sm-4 '>\n";
echo "<h4 class='m-0'>".$locale['nivo_010']."</h4>\n";
echo "<i>".$locale['nivo_041']."</i>\n<br/><br/>";
echo "</div>\n";

echo "<div class='col-xs-6 col-sm-8 '>\n";
	echo form_select('slider_effects', '', $slider_effects, [
		'options'     => $effects_values
	]);
echo "</div>\n";
echo "</div>\n";

echo "<div class='row justify-content-md-center'>\n";
echo "<div class='col-xs-6 col-sm-4 '>\n";
echo "<h4 class='m-0'>".$locale['nivo_011']."</h4>\n";
echo "<i>".$locale['nivo_012']."</i>\n<br/><br/>";
echo "</div>\n";

echo "<div class='col-xs-6 col-sm-8 '>\n";
	echo form_select('slider_pausetime', '', $slider_pausetime, [
		'options'     => $pausetimes
	]);
echo "</div>\n";
echo "</div>\n";

echo "<div class='row justify-content-md-center'>\n";
echo "<div class='col-xs-6 col-sm-4 '>\n";
echo "<h4 class='m-0'>".$locale['nivo_014']."</h4>\n";
echo "<i></i>\n<br/><br/>";
echo "</div>\n";

echo "<div class='col-xs-6 col-sm-8 '>\n";
	echo form_select('slider_theme', '', $slider_theme, [
		'options'     => $theme_values
	]);
echo "</div>\n";
echo "</div>\n";

echo "<div class='row'>\n";
echo "<div class='col-lg-12 justify-content-md-center'>\n";
echo form_button('savesettings', $locale['nivo_015'], $locale['nivo_015'], ['class' => 'btn-success', 'icon' => 'far fa-hdd']);
echo "</div>\n";
echo "</div>\n";

echo closeform();

closetable();
