<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: nivo_slider_admin.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| Original by: Craig (phpfusionmods.co.uk)
| Rewritten by:KRELLI.com
| Author: Krelli
| Developers: Craig, Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/
require_once __DIR__ .'/../../maincore.php';

require_once THEMES.'templates/admin_header.php';

pageAccess('NIVO');

$locale = fusion_get_locale('', NIVO_LOCALE);

$nivo_slider_settings = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER_SETTINGS));
$panel_cap = (isset($nivo_slider_settings['panel_cap']) && isnum($nivo_slider_settings['panel_cap'])) ? $nivo_slider_settings['panel_cap'] : "0";
$slider_effects = (isset($nivo_slider_settings['slider_effects']) && isnum($nivo_slider_settings['slider_effects'])) ? $nivo_slider_settings['slider_effects'] : "0";
$slider_pausetime = (isset($nivo_slider_settings['slider_pausetime']) && isnum($nivo_slider_settings['slider_pausetime'])) ? $nivo_slider_settings['slider_pausetime'] : "0";
$slider_theme = (isset($nivo_slider_settings['slider_theme']) && isnum($nivo_slider_settings['slider_theme'])) ? $nivo_slider_settings['slider_theme'] : "0";

add_to_title($locale['inf_title']);

\PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => INFUSIONS."nivo_slider_panel/nivo_slider_admin.php".fusion_get_aidlink(), 'title' => $locale['inf_title']]);

add_to_head("<style>
.admin-slide { 
	border: 1px solid #333; 
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10px; 
}
</style>");

$allowed_pages = ['settings', 'infos', 'all_slides', 'add_slide', 'del_slide', 'edit_slide'];
if (isset($_GET['section']) && $_GET['section'] == "back") {
	redirect(INFUSIONS."nivo_slider_panel/nivo_slider_admin.php".$aidlink."&amp;section=all_slides");
	exit;
}

$_GET['section'] = isset($_GET['section']) && in_array($_GET['section'], $allowed_pages) ? $_GET['section'] : 'all_slides';
//$_GET['album'] = 0;
if (isset($_GET['section'])){
    switch ($_GET['section']) {
        case "edit_slide":
            \PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => FUSION_REQUEST, 'title' => $locale['nivo_031']]);
			$subsite = $locale['nivo_031'];
            break;
		case "del_slide":
            \PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => FUSION_REQUEST, 'title' => $locale['nivo_019']]);
			$subsite = $locale['nivo_019'];
            break;
        case "settings":
            \PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => FUSION_REQUEST, 'title' => $locale['nivo_002']]);
			$subsite = $locale['nivo_002'];
            break;
		case "infos":
            \PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => FUSION_REQUEST, 'title' => $locale['nivo_034']]);
			$subsite = $locale['nivo_034'];
            break;
        default:
			$subsite = "";
            break;
    }
}

if (!empty($_GET['slide_id']) && isset($_GET['section']) && $_GET['section']=='edit_slide') {
    $tab['title'][] = $locale['back'];
    $tab['id'][] = "back";
    $tab['icon'][] = "fa fa-fw fa-arrow-left";
	
	$tab['title'][] = $locale['nivo_031'];
	$tab['id'][] = "edit_slide";
	$tab['icon'][] = "fa fa-pencil";
}

elseif (!empty($_GET['slide_id']) && isset($_GET['section']) && $_GET['section']=='del_slide') {
    $tab['title'][] = $locale['back'];
    $tab['id'][] = "back";
    $tab['icon'][] = "fa fa-fw fa-arrow-left";
	
	$tab['title'][] = $locale['nivo_019'];
	$tab['id'][] = "del_slide";
	$tab['icon'][] = "fas fa-trash-alt";
}

else {
	$tab['title'][] = $locale['nivo_033'];
	$tab['id'][] = "all_slides";
	$tab['icon'][] = "fas fa-object-group";
	
	$tab['title'][] = $locale['nivo_002'];
	$tab['id'][] = "settings";
	$tab['icon'][] = "fa fa-cogs";
	
	$tab['title'][] = $locale['nivo_034'];
	$tab['id'][] = "infos";
	$tab['icon'][] = "fas fa-info-circle";
}

// generate form select for available images
$check_images = makefilelist(INFUSIONS."nivo_slider_panel/images/slides/", ".|..|index.php|Thumbs.db");
$images_values = [];
$images_values['0'] = "- ".$locale['nivo_023']." -";
foreach ($check_images as $key => $value) {
    $images_values[$value] = $value;
}

opentable($locale['inf_title'].(IsSet($subsite) && $subsite!="" ? " &raquo; ".$subsite : ""));
echo opentab($tab, $_GET['section'], "nivoadmintab", TRUE, "nav-tabs m-t-20", 'section', ['album_id']);
switch ($_GET['section']) {
    case "all_slides":
        include "admin/all_slides.php";
        break;
	case "infos":
        include "admin/infos.php";
        break;
    case "edit_slide":
        include "admin/edit.php";
        break;
    case "del_slide":
        include "admin/delete.php";
        break;
    case "settings":
        include "admin/settings.php";
        break;;
    default:
		include "admin/all_slides.php";
}
echo closetab();

closetable();
require_once THEMES.'templates/footer.php';

